// Set 13 -- Using Data in the Array
// Version D
// Add a zero to years 2000 to 2009 point labels



// Closing gold prices on one day between Feb 23 and 28 
// from 1975 go 2011
// Source  Kitco.com
int [ ] gold = {  185, 133, 139, 180, 250, 616, 500, 366, 464, 395, 
                  284, 352, 405, 432, 488, 415, 358, 350, 329, 376, 
                  377, 398, 353, 292, 286, 294, 260, 292, 257, 400, 
                  434, 564, 683, 937, 978, 1094, 1401 };
PFont f;

final int FIRST_YEAR = 1975;
final int LAST_YEAR = 2011;

float leftEdge, rightEdge, topEdge, bottomEdge;

int minValue, maxValue;


void setup( )
{
  size( 1000, 600 );
  f = loadFont( "f.vlw" );
  textFont( f );
  textSize( 12 );
  textAlign(CENTER, CENTER);
  
  leftEdge = 10;
  rightEdge = width-10;
  topEdge = 20;
  bottomEdge = height-20;

  minValue = min(gold);
  maxValue = max(gold);
  
}

void draw( )
{
    //println( gold.length );
   testPlots( );
   
   noLoop( ); 
}

void testPlots( )
{

  fill( 0 );
  stroke( 0, 0, 255 );
  strokeWeight( 4 );
  
  for ( int i = 0; i < gold.length; i++)
  {
     // compute x, y values for current gold value
     float x = map( i, 0, gold.length, leftEdge, rightEdge);
     float y = map( gold[i], maxValue, minValue, topEdge, bottomEdge);
    
     // draw a point for each value
     point( x, y );
     
     // label the points:
     fill( 0 );
     int year = (i + FIRST_YEAR)%100;
     
     // new code
          // add a leading zero for years 2000 to 2009
     if ( year < 10 )
     {
       text( "0" + year, x, y-10 );
     }
     else
     {
       text( year, x, y-10 );
     }
     // end new code
  }
  
}



